Bug 754838 - as7: discovery fails with newer versions of as7.1
as7: discovery fails with newer versions of as7.1
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks: as7-plugin 754858
  Show dependency treegraph
 
Reported: 2011-11-17 16:17 EST by Heiko W. Rupp
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 754858 (view as bug list)
Environment:
Last Closed: 2012-11-27 18:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-11-17 16:17:40 EST
As7.1 has changed the setup of the management port to now also use a socket-binding reference.
The current code is not able to discover that versions and fails with an exception.

Stop-gap fix is to assume a default port if no other port is given in the 

<management-interfaces> section

As7.1a2:

 <management-interfaces>
            <native-interface security-realm="ManagementRealm">
                <socket-binding native="management-native"/>
            </native-interface>
            <http-interface security-realm="ManagementRealm">
                <socket-binding http="management-http"/>
            </http-interface>
        </management-interfaces>
and
 <socket-binding name="management-http" interface="management" port="9990"/>

older versions and eap6a2 ( dr5: )

        <management-interfaces>
            <native-interface interface="management" port="9999"/>
            <http-interface interface="management" port="9990"/>
        </management-interfaces>
Comment 1 Heiko W. Rupp 2011-11-17 16:37:04 EST
In addition the hostname is also not correctly determined.
Comment 2 Heiko W. Rupp 2011-11-17 17:24:16 EST
Commits

aad83e7 in release branch
f2edb384f3 in master

check for empty port and/or host and use default values in that case.
Comment 3 Mike Foley 2011-11-18 15:42:01 EST
Location of AS7.1  http://community.jboss.org/thread/167590 (it's not available on the downloads page yet)
Comment 7 Mike Foley 2011-11-18 16:53:26 EST
what i am seeing is that the agent is not detecting the EAP 6 is available ... when before it did.

evidence copied below.

i realize both both AS7 and EAP6 are moving targets ... and that EAP6 is based on AS7.  

so i just want to be expressly clear on what JON 3.0 GA is supporting ... EAP6 DRx, AS7.x?  

The issue may be more complex ... or simpler ... and there may be workarounds that i am not aware of.

I just want to discuss and clarify ... and not have JON 3 support AS7.1 by this fix at the expense of the released version AS7final and EAP6latest if that is not what we intend.  i'd like charles to be in the conversation as well.  

if there are documentation issues as you mention ... then perhaps we should create BZs for that so that it ends up in the release notes or elsewhere for JON 3 GA.



> avail
Availability Report from Nov 18, 2011 4:44:40 PM
Resources in report: 105
Includes Only Changed Resources: false
UP:	foleymonsterbox1.foleyhomenetwork
DOWN:	EAP localhost:1099 default
DOWN:	quartz-ra.rar
DOWN:	jbossws-management.war
DOWN:	//localhost/jbossws
DOWN:	wsrunclient.sh
DOWN:	jboss-local-jdbc.rar
DOWN:	web-console.war
DOWN:	//localhost/web-console
DOWN:	jboss_init_solaris.sh
DOWN:	shutdown.sh
DOWN:	jboss-xa-jdbc.rar
DOWN:	Service Binding Manager
DOWN:	ports-01
DOWN:	ports-02
DOWN:	ports-default
DOWN:	ports-03
DOWN:	DefaultDS
DOWN:	jms-ra.rar
DOWN:	classpath.sh
DOWN:	mail-ra.rar
DOWN:	admin-console.war
DOWN:	//localhost/admin-console
DOWN:	12345678
DOWN:	wsconsume.sh
DOWN:	ROOT.war
DOWN:	//localhost/
DOWN:	jmx-console.war
DOWN:	//localhost/jmx-console
DOWN:	password_tool.sh
DOWN:	twiddle.sh
DOWN:	JmsXA
DOWN:	JBoss Web
DOWN:	localhost
DOWN:	ajp://127.0.0.1:8009
DOWN:	http://127.0.0.1:8080
DOWN:	jboss_init_hpux.sh
DOWN:	wsprovide.sh
DOWN:	invoker.war
DOWN:	//localhost/invoker
DOWN:	wstools.sh
DOWN:	JBoss Messaging
DOWN:	ExpiryQueue
DOWN:	DLQ
DOWN:	probe.sh
DOWN:	run.sh
UP:	tun0
UP:	CPU 1
UP:	/dev/shm
UP:	virbr0
UP:	EAP foleymonsterbox1.foleyhomenetwork
UP:	security
UP:	other
UP:	naming
UP:	logging
UP:	CONSOLE
UP:	FILE
UP:	datasources
UP:	java:jboss/datasources/ExampleDS
UP:	public
UP:	infinispan
UP:	hibernate
UP:	helloworld.war
UP:	management
UP:	web
UP:	default-host
UP:	http
UP:	deployment-scanner
UP:	messaging
UP:	threads
UP:	standard-sockets
UP:	webservices
UP:	resource-adapters
UP:	RHQ Agent
UP:	RHQ Agent Launcher Script
UP:	Agent Plugin Container
UP:	Agent Measurement Subsystem
UP:	JVM
UP:	Memory Subsystem
UP:	PS Scavenge
UP:	PS Old Gen
UP:	PS Survivor Space
UP:	PS MarkSweep
UP:	PS Perm Gen
UP:	PS Eden Space
UP:	Code Cache
UP:	Threading
UP:	Logging
UP:	Operating system information
UP:	Class Loading
UP:	Compilation
UP:	rhq-agent-env.sh
UP:	Hosts File
UP:	eth0
UP:	Sudoers
UP:	CPU 0
UP:	/boot
UP:	Bundle Handler - File Template
UP:	/home
UP:	Aliases File
UP:	lo
UP:	CPU 3
UP:	CPU 2
UP:	Bundle Handler - Ant
UP:	/
Sending the availability report to the server...
Done.
>
Comment 9 Larry O'Leary 2012-11-27 18:54:47 EST
Work done in Bug 754858 makes this bug obsolete.

Note You need to log in before you can comment on or make changes to this bug.